=== debian/changelog ===
polyseed (1.0.0-3) unstable; urgency=medium

  * New maintainer upload. (Closes: #1088954)
  * debian/watch: Bump to uscan version 5, rewrite source files.
  * debian/control: Update with latest changes
    - Add new maintainer to Uploaders and remove former.
    - Remove redundant Rules-Requires-Root.
    - Bump to 4.7.2, no changes required.
  * debian/upstream/metadata: Add metadata file.
  * debian/copyright: Update copyright file
    - Update debian/* stanzas.
    - Rewrite text for more comfortable reading.
  * debian/libpolyseed1.symbols: Add symbols file.
  * debian/gbp.conf: Update configuration rules.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 27 Nov 2025 16:19:15 +0000

polyseed (1.0.0-2) unstable; urgency=medium

  * Properly team-maintain polyseed.
  * Use _MAINT_ variable for build profile.

 -- Bastian Germann <bage@debian.org>  Wed, 13 Nov 2024 22:35:34 +0000

polyseed (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087081)

 -- Bastian Germann <bage@debian.org>  Fri, 08 Nov 2024 17:09:33 +0100
