=== debian/control ===
Source: polyseed
Section: libs
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
Standards-Version: 4.7.2
Homepage: https://github.com/tevador/polyseed
Vcs-Browser: https://salsa.debian.org/cryptocoin-team/polyseed
Vcs-Git: https://salsa.debian.org/cryptocoin-team/polyseed.git

Package: libpolyseed-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpolyseed1 (= ${binary:Version}),
 ${misc:Depends},
Description: Mnemonic seed library (development package)
 Mnemonic seed library for Monero and other CryptoNote-based currencies.
 The mnemonic phrase can be treated as a polynomial over GF(2048), which
 enables the use of an efficient Reed-Solomon error correction code with one
 check word. All single-word errors can be detected and all single-word
 erasures can be corrected without false positives.
 .
 To prevent the seed from being accidentally used with a different
 cryptocurrency, a coin flag is XORed with the second word after the checksum
 is calculated. Checksum validation will fail unless the wallet software XORs
 the same coin flag with the second word when restoring.
 .
 This is the development package.

Package: libpolyseed1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Mnemonic seed library
 Mnemonic seed library for Monero and other CryptoNote-based currencies.
 The mnemonic phrase can be treated as a polynomial over GF(2048), which
 enables the use of an efficient Reed-Solomon error correction code with one
 check word. All single-word errors can be detected and all single-word
 erasures can be corrected without false positives.
 .
 To prevent the seed from being accidentally used with a different
 cryptocurrency, a coin flag is XORed with the second word after the checksum
 is calculated. Checksum validation will fail unless the wallet software XORs
 the same coin flag with the second word when restoring.
