=== debian/rules ===
#!/usr/bin/make -f

# Use the default build hardening flags.  <https://wiki.debian.org/HardeningWalkthrough>
# Build the library with time64 support on i386.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+time64

%:
	dh $@
