=== debian/watch ===
Version: 5

Template: Github
Owner: tevador
Project: polyseed
